# zbot/drivers.py
#
#

""" drivers package. """

from zbot import NoSuchBotType
from zbot.drivers.xmpp import XMPPBot
from zbot.drivers.irc import IRCBot
from zbot.drivers.console import ConsoleBot

## get_bot factory function

def get_bot(type, cfg):
    if type == "IRC": return IRCBot(cfg)
    elif type == "XMPP": return XMPPBot(cfg)
    else: return ConsoleBot(cfg)
